using System;
using System.Collections.Generic;

class Program
{
    static void ispis(int T, List<string> a)
    {
        for (int i = 0; i < T; i++)
        {
            Console.WriteLine(a[i]);
        }
    }

    static void ekskurzija(int T, List<string> a)
    {
        int i = 0;

        while (T > i)
        {
            var ulaz = Console.ReadLine().Split();

            Int64 N = Int64.Parse(ulaz[0]);
            Int64 M = Int64.Parse(ulaz[1]);
            Int64 K = Int64.Parse(ulaz[2]);

            // razdvajamo resenja po broju grupa

            if (K == 1)
            {
                if (M * 2 / N >= N + 1)
                {
                    a.Add("Tak");
                }

                else
                {
                    a.Add("Nie");
                }
            }

            else if (K == 2)
            {
                if (N % 2 != 0)
                {
                    if ((N + 2) / 2 <= (M * 2) / (N + 2))
                    {
                        a.Add("Tak");
                    }

                    else
                    {
                        a.Add("Nie");
                    }
                }

                else
                {
                    if ((N + 2) / 2 <= M * 2 / N)
                    {
                        a.Add("Tak");
                    }

                    else
                    {
                        a.Add("Nie");
                    }
                }
            }

            else
            {
                if ((K * (N / K) * (N / K + 1) / 2) <= M - ((N % K) * (N / K + 1)))
                {
                    a.Add("Tak");
                }

                else
                {
                    a.Add("Nie");
                }
            }

            i++;
        }
    }

    static void Main()
    {
        // ucitavamo ulazne podatke

        int T = int.Parse(Console.ReadLine());

        List<string> a = new List<string>();

        // ispis

        ekskurzija(T, a);
        ispis(T, a);
    }
}